<?php

namespace Drupal\flexible_google_cse;

use Drupal\Core\Form\ConfigFormBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class FlexibleSearch.
 */
class FlexibleSearch implements FlexibleSearchInterface {

 protected $searchConfig;
  /**
   * Constructs a new FlexibleSearch object.
   */
  public function __construct($config) {
  	// $config = $containerInterface->get('config.factory');
  	$config = \Drupal::config('flexible_google_cse.settings');
  	 $this->searchConfig = $config;
  }




  public function Search()
  {
    $resultLayout = $this->searchConfig->get('result_layout') ?  $this->searchConfig->get('result_layout') : 'gcse:searchresults-only';
   

    return [
      '#type' => 'html_tag',
      '#tag' => $resultLayout,
      '#attributes' => [
        'queryParameterName' => "key-word",
        'linktarget' => '_parent'
      ],
      '#attached' => [
        'library' => ['flexible_google_cse/flexible_google_search'],
        'drupalSettings' => [
          'flexible_google_cse' => [
            'gse_key' => $this->searchConfig->get('gse_key'),
          ]
        ]
      ],
    ];

  }


}
