<?php

namespace Drupal\flexible_google_cse\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Form\ConfigFormBase;

/**
 * Class SearchForm.
 */
class SearchForm extends FormBase {


  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'flexible_google_cse_search_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    $fgsConfig = $this->config('flexible_google_cse.settings');

    $inputSize = $fgsConfig->get('textbox_size') ? $fgsConfig->get('textbox_size') : 15;
    $submitText =  $fgsConfig->get('submit_value') ? $fgsConfig->get('submit_value') : 'Search';
    $searchUrl = $fgsConfig->get('search_url') ? $fgsConfig->get('search_url') : '/fgs-search';

    $form['key-word'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Search'),
      '#default' => '',
      '#description' => $this->t('Search'),
      '#attributes' => ['placeholder' => 'Google Custom Search' ],
      '#maxlength' => 128,
      '#size' => $inputSize,
      '#weight' => '0',
    ];
    


    $form['Searchbutton'] = [
      '#type' => 'submit',
      '#title' => $this->t('Search'),
      '#value' => $submitText,
      '#weight' => '0',
      '#name' => '', //and to get rid of "op" from URl

    ];
    /*
    $form['submit'] = [
      '#type' => 'submit',
      '#value' => $this->t('Submit'),
    ];
    */
    $form['#action'] =  $searchUrl;
    $form['#method'] = 'get';

    return $form;
  }



  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    // Display result.


  }

}
